/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gui;
import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.*;

/**
 *
 * @author PinkLenny
 */
public class Textovy_editor extends JFrame implements ActionListener {
    //komponenty
    JTextField vstup, rateLbl;
    JTextArea output;
    JButton load, save, rate;
    Box top, bottom, center;
    
    public Textovy_editor() {
        super("Editor");
        this.setSize(600,400);
        this.setDefaultCloseOperation(EXIT_ON_CLOSE);
        this.setLayout(new BorderLayout());
        top = Box.createHorizontalBox();
        center = Box.createHorizontalBox();
        bottom = Box.createHorizontalBox();
        vstup = new JTextField("",60);
        load = new JButton("Načíst soubor");
        save = new JButton("Uložit soubor");
        rateLbl = new JTextField("",100);
        rate = new JButton("Četnost");
        output = new JTextArea("");
        this.add(top, BorderLayout.NORTH);
        this.add(center, BorderLayout.CENTER);
        this.add(bottom, BorderLayout.SOUTH);
        top.add(vstup);
        top.add(load);
        top.add(save);
        center.add(output);
        bottom.add(rateLbl);
        bottom.add(rate);
        this.setVisible(true);
        
        load.addActionListener(new ActionListener() {

            @Override
            public void actionPerformed(ActionEvent e) {
                String zvoleny_soubor = System.getProperty("user.dir")+File.separator+vstup.getText(); //soubor z adresáře kde se nachází třída
                File soubor = new File(zvoleny_soubor);
                if(soubor.exists()) {
                    try {
                        FileReader fr = new FileReader(soubor);
                        BufferedReader br = new BufferedReader(fr);
                        String veta ;
                        try {
                            while((veta=br.readLine()) != null) {
                                output.setText(output.getText()+veta+"\n\r");
                            }
                            
                        } catch (IOException ex) {
                            Logger.getLogger(Textovy_editor.class.getName()).log(Level.SEVERE, null, ex);
                        }
                    } catch (FileNotFoundException ex) {
                        Logger.getLogger(Textovy_editor.class.getName()).log(Level.SEVERE, null, ex);
                    }
                } else {
                    JOptionPane.showMessageDialog(rootPane, "Zvolený soubor neexistuje", "Chyba", 0);
                }
            }
        });
        
    }
    
    /**
     * @param args the command line arguments
     */
    
    public static void main(String[] args) {
        Textovy_editor textEditor = new Textovy_editor();
    }
    
    @Override
    public void actionPerformed(ActionEvent e) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
    
}
