/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package zapis_vypis;

import java.io.*;
import java.util.*;

/**
 *
 * @author Richard Szemerei
 */
public class Zapis_vypis_posloupnost_pole {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            posloupnost();
        }
        catch(Exception e) {
            System.out.println("Chyba!");
        }
    }
    
    public static void posloupnost() throws Exception {
        String zvoleny_zdrojovy_soubor = System.getProperty("user.dir")+File.separator+"test"+File.separator+"pole.txt";
        File zdrojovy_soubor = new File(zvoleny_zdrojovy_soubor);
        FileWriter fw = new FileWriter(zdrojovy_soubor);
        if (zdrojovy_soubor.exists()) {
            int dvojrozmerne_pole [] [] = new int[10][10];
            for(int i=1; i<=100; i++) {
                fw.write(i+"");
                if(i % 100 == 0) {
                    fw.write(".");
                } else {
                    fw.write(",");
                }
                if(i % 10 == 0) {
                    fw.write("\r\n");
                }
                dvojrozmerne_pole[(i-1)/10][(i-1)%10] = i;
            }
        fw.close();
        
        Scanner sc = new Scanner(System.in);
        System.out.print("Zadej řádek (0-9): ");
        int radek = sc.nextInt();
        System.out.print("Zadej sloupec (0-9): ");
        int sloupec = sc.nextInt() ;
        System.out.println(dvojrozmerne_pole[radek][sloupec]);
        
        } else {
            System.out.println("Zvolený zdrojový soubor: "+zdrojovy_soubor+" neexistuje!");
        }
    }
}
